summaryrefslogtreecommitdiff
path: root/scripts/testing/ensure-pysqlcipher-has-usleep.sh
diff options
context:
space:
mode:
authordrebs <drebs@riseup.net>2017-09-17 12:08:25 -0300
committerdrebs <drebs@riseup.net>2017-09-17 15:50:55 -0300
commitcfff46ff9becdbe5cf48816870e625ed253ecc57 (patch)
tree8d239e4499f559d86ed17ea3632008303b25d485 /scripts/testing/ensure-pysqlcipher-has-usleep.sh
parentf29abe28bd778838626d12fcabe3980a8ce4fa8c (diff)
[refactor] move tests to root of repository
Tests entrypoint was in a testing/ subfolder in the root of the repository. This was made mainly because we had some common files for tests and we didn't want to ship them (files in testing/test_soledad, which is itself a python package. This sometimes causes errors when loading tests (it seems setuptools is confused with having one python package in a subdirectory of another). This commit moves the tests entrypoint to the root of the repository. Closes: #8952
Diffstat (limited to 'scripts/testing/ensure-pysqlcipher-has-usleep.sh')
-rwxr-xr-xscripts/testing/ensure-pysqlcipher-has-usleep.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/scripts/testing/ensure-pysqlcipher-has-usleep.sh b/scripts/testing/ensure-pysqlcipher-has-usleep.sh
new file mode 100755
index 00000000..d3d93d86
--- /dev/null
+++ b/scripts/testing/ensure-pysqlcipher-has-usleep.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+# make sure that the current installed version of pysqlcipher has the
+# HAVE_USLEEP flag set so we don't have problems with concurrent db access.
+
+set -e
+
+install_bundled_pysqlcipher() {
+ pip uninstall -y pysqlcipher
+ pip install --install-option="--bundled" pysqlcipher
+}
+
+./check-pysqlcipher.py || (install_bundled_pysqlcipher && ./check-pysqlcipher.py)